### Method

# Tsparql Endpoint get_readonly

since: 3.7

#### Declaration [src]

    gboolean
    tracker_endpoint_get_readonly (
      TrackerEndpoint* endpoint
    )

#### Description [src]

Returns whether the endpoint is readonly, thus SPARQL update queries are disallowed.

Available since: 3.7

Gets property | `Tsparql.Endpoint:readonly`

#### Return value

Type: `gboolean`

`TRUE` if the endpoint is readonly.